Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::EventListener Class Reference

EventListener is an abstract class used as a base for EventMulticaster. More...

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::EventListener:

[legend]
List of all members.

## Public Methods

virtual bool | isMulticaster () const
| Returns whether or not the listener is a multicaster.

## Detailed Description

EventListener is an abstract class used as a base for EventMulticaster.

Definition at line 59 of file OgreEventListeners.h.

## Member Function Documentation

virtual bool Ogre::EventListener::isMulticaster | ( |  | ) | const`[virtual]`

| Returns whether or not the listener is a multicaster. Reimplemented in Ogre::EventMulticaster. Definition at line 65 of file OgreEventListeners.h. Referenced by Ogre::EventMulticaster::convertListenerToMulti(), and Ogre::EventMulticaster::removeInternal().

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:55 2004